import { ApiBase } from '../Implementation/ApiBase';
export declare class NamedQueryInternalApi extends ApiBase {
    /**
     * Returns the name of all the referenced Named Queries as an array of strings
     * @param expression query string
     */
    getReferencedNamedQueryNames(expression?: string): string[];
    /**
     * Returns all the references in the AdaptableState of the NamedQuery with the given name
     * @param namedQueryName namedQuery name
     */
    getNamedQueryModuleReferences(namedQueryName: string): string[];
    validateDeletedNamedQuery(namedQuery: string): boolean;
    validateRenamedNamedQuery(namedQuery: string): boolean;
}
